Get Wallets
curl --request GET \
--url https://api.payvessel.com/pms/api/external/request/wallet/get-or-create/ \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>'import requests
url = "https://api.payvessel.com/pms/api/external/request/wallet/get-or-create/"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-secret>'}};
fetch('https://api.payvessel.com/pms/api/external/request/wallet/get-or-create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {
"id": "<string>",
"business_id": "<string>",
"wallet_name": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"bank_code": "<string>",
"currency": "<string>",
"status": "<string>",
"created_datetime": "2023-11-07T05:31:56Z",
"balance": {
"available_balance": "<string>",
"ledger_balance": "<string>"
}
}
}Wallets
Get Wallets
List or retrieve managed wallets for your business
GET
/
pms
/
api
/
external
/
request
/
wallet
/
get-or-create
/
Get Wallets
Get an existing wallet or create one automatically for the authenticated business. No request body is required.
Endpoint
GET/pms/api/external/request/wallet/get-or-create/
Response
boolean
Request status.
string
Description of the result.
object
Show Wallet Object
Show Wallet Object
string
Unique wallet ID.
string
Business identifier.
string
Wallet name.
string
Wallet account number.
string
Wallet account name.
string
Settlement bank name.
string
Settlement bank code.
string
Wallet currency.
string
Wallet status.
string
Wallet creation timestamp.
string
Available balance.
string
Ledger balance.
Example Request
curl -X GET "https://api.payvessel.com/pms/api/external/request/wallet/get-or-create/" \
-H "api-key: YOUR_API_KEY" \
-H "api-secret: YOUR_SECRET"
Example Response
{
"status": true,
"message": "string",
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"business_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"wallet_name": "string",
"account_number": "string",
"account_name": "string",
"bank_name": "string",
"bank_code": "string",
"currency": "string",
"status": "string",
"created_datetime": "2026-05-07T12:06:43.830Z",
"balance": {
"available_balance": "806856696425.66",
"ledger_balance": ""
}
}
}
⌘I
